All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.iquery.metadata.expr.olap
Class BusinessGroupMemberFilterExpression

    com.sas.iquery.metadata.expr.olap.BusinessGroupMemberFilterExpression

All Implemented Interfaces:
  Base, BusinessModelResourceReferencer, ModelItem, UsabilityInterface, ExpressionInterface, PropertyChangeListenee, java.beans.PropertyChangeListener, java.lang.Cloneable, java.util.EventListener

    @SASScope(value="ALL")
    public class BusinessGroupMemberFilterExpression

This constructor is a filter has been applied as a part of BusinessGroup (elastic filter). The filter is always applied the data query (or result set object) as a child filter (or step) not as a parent filter.

See Also:
  `*`, `com.sas.iquery.metadata.business.step.expr.MemberFilterExpression`

Field Summary

Fields inherited from class com.sas.iquery.metadata.expr.olap.MemberFilterExpression
`EVENT_MEMBER_NAMES_CHANGED`

Fields inherited from class com.sas.iquery.metadata.expr.olap.BaseFilterExpression
`EVENT_WHAT_TO_COMPARE_CHANGED`

Fields inherited from class com.sas.iquery.metadata.expr.ConditionalExpression
`EVENT_NEGATION_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.Base
`EVENT_OBJECT_DEFINITION_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.ModelItem
`EVENT_OBJECT_PROPERTY_CHANGED`

Constructor Summary
`BusinessGroupMemberFilterExpression()`

Method Summary
`protected void` | `buildMemberTuples(java.util.List<? extends ExpressionInterface> memberNames, BusinessModel model)` This method is only placeholder for the parent class.
`protected void` | `buildMemberTuples(java.util.List<? extends ExpressionInterface> memberNames, DataItem dataItem)` This method is only placeholder for the parent class.
`void` | `fixOrphanMembers(boolean orphansToBeFixed)` This method is only placeholder for the parent class.
`protected java.lang.String` | `getDefinitionElementName()` Gets the definition of element name for this expression.
`java.lang.String` | `toString()` Get string value of the expression.

Methods inherited from class com.sas.iquery.metadata.expr.olap.MemberFilterExpression
`containsOrphans, getMemberLevelRoot, getMemberLocale, getMemberNames, setMemberNames`

Methods inherited from class com.sas.iquery.metadata.expr.olap.BaseFilterExpression
`getDisplayedText, getLevels, getWhatToCompare, setWhatToCompare`

Methods inherited from class com.sas.iquery.metadata.expr.ConditionalExpression
`getExpressionType, isNegated, setIsNegated`

Methods inherited from interface com.sas.iquery.metadata.business.BusinessModelResourceReferencer
`getResources`

Methods inherited from interface com.sas.iquery.metadata.PropertyChangeListenee
`addListener, getListeners, removeListener`

Methods inherited from interface com.sas.iquery.metadata.business.UsabilityInterface
`getReasonsUnusable, isUsableInQuery`

Constructor Detail

### BusinessGroupMemberFilterExpression

    public BusinessGroupMemberFilterExpression()

Method Detail

### getDefinitionElementName

    protected java.lang.String getDefinitionElementName()

  Gets the definition of element name for this expression.

  Overrides:
    `getDefinitionElementName` in class `MemberFilterExpression`
  Returns:
    the element name to hold the definition of an object of this type.

### buildMemberTuples

    protected void buildMemberTuples(java.util.List<? extends ExpressionInterface> memberNames,
                                     DataItem dataItem)
                              throws MetadataException

  This method is only placeholder for the parent class. This class never build a tuple Element structure for member selected.

  Overrides:
    `buildMemberTuples` in class `MemberFilterExpression`
    `dataItem` - being filter on.
  Throws:
    `MetadataException`

### buildMemberTuples

    protected void buildMemberTuples(java.util.List<? extends ExpressionInterface> memberNames,
                                     BusinessModel model)
                              throws MetadataException

  This method is only placeholder for the parent class. This class never build a tuple Element structure for member selected.

  Overrides:
    `buildMemberTuples` in class `MemberFilterExpression`
  Throws:
    `MetadataException`

### fixOrphanMembers

    public void fixOrphanMembers(boolean orphansToBeFixed)

  This method is only placeholder for the parent class. This class never build a tuple Element structure for member selected.

  Overrides:
    `fixOrphanMembers` in class `MemberFilterExpression`
  Parameters:
    `orphansToBeFixed` - indicate that the orphan member will be fixed (true) or ignored (false)

### toString

    public java.lang.String toString()

  Get string value of the expression.

  Overrides:
    `toString` in class `MemberFilterExpression`
  Returns:
    string value of expression

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.